%% Read Vernan documentation
help Vernan

%% Set-up inputs
n = 6;
Q = cell(4,3);

%   Xj                Yj                Zj
Q{1,1} = 1;       Q{1,2} = 2;       Q{1,3} = 1;
Q{2,1} = 2;       Q{2,2} = 1;       Q{2,3} = 1;
Q{3,1} = [3,5];   Q{3,2} = [4,6];   Q{3,3} = [1,1];
Q{4,1} = [4,6];   Q{4,2} = [3,5];   Q{4,3} = [1,1];

finit = [1,1,3,3,5];

rho = cell(1,2);
rho{1} = 2;  rho{2} = 3;  
 
%Dependency graphs below are indexed according to the order the graphs are 
%listed in Table 2
D = cell(2,1);
D{1} = cell(2,3);  D{2} = cell(2,3);

%     Ay                  By             Ry
D{1}{1,1} = 1;      D{1}{1,2} = 3;  D{1}{1,3} = 2;
D{1}{2,1} = 2;      D{1}{2,2} = 4;  D{1}{2,3} = 2;
%-------------------------------------------------
D{2}{1,1} = [3,5];  D{2}{1,2} = 1;  D{2}{1,3} = 1;
D{2}{2,1} = [4,5];  D{2}{2,2} = 2;  D{2}{2,3} = 1;

rules = zeros(14,4);
rules(1,:) = [1,1,0,0];  rules(2,:) = [2,2,1,0];  
rules(3,:) = [3,3,2,0];  rules(4,:) = [4,4,0,0];  

%% Generate state-space graphs
symred = 'off'; %generate full model (corresponds to Figure 2A)
[Ffull,Tfull,Wfull] = Vernan(n,Q,rules,D,rho,finit,symred);

symred = 'on'; %generate reduced model (corresponds to Figure 2B)
[Fred,Tred,Wred,M] = Vernan(n,Q,rules,D,rho,finit,symred);